Index: test/sasdataloader/test/utest_abs_reader.py
===================================================================
--- test/sasdataloader/test/utest_abs_reader.py	(revision 574adc767a9e86744546f8edd6a23dc4f81914ad)
+++ test/sasdataloader/test/utest_abs_reader.py	(revision fe1519896dbb0d27d27b4312f0db40cdbf913de4)
@@ -20,6 +20,6 @@
     def setUp(self):
         reader = AbsReader()
-        data = reader.read("jan08002.ABS")
-        self.data= data[0]
+        self.data_list = reader.read("jan08002.ABS")
+        self.data = self.data_list[0]
 
     def test_abs_checkdata(self):
@@ -76,6 +76,6 @@
     def setUp(self):
         reader = DANSEReader()
-        data = reader.read("MP_New.sans")
-        self.data = data[0]
+        self.data_list = reader.read("MP_New.sans")
+        self.data = self.data_list[0]
 
     def test_checkdata(self):
@@ -87,4 +87,5 @@
             tests won't pass
         """
+        self.assertEqual(len(self.data_list), 1)
         self.assertEqual(self.data.filename, "MP_New.sans")
         self.assertEqual(self.data.meta_data['loader'], "DANSE")
@@ -114,4 +115,5 @@
         # the generic loader should work as well
         data = Loader().load("MP_New.sans")
+        self.assertEqual(len(data), 1)
         self.assertEqual(data[0].meta_data['loader'], "DANSE")
 
@@ -121,10 +123,11 @@
     def setUp(self):
         reader = CANSASReader()
-        data = reader.read("cansas1d.xml")
-        self.data = data[0]
+        self.data_list = reader.read("cansas1d.xml")
+        self.data = self.data_list[0]
 
     def test_generic_loader(self):
         # the generic loader should work as well
         data = Loader().load("cansas1d.xml")
+        self.assertEqual(len(data), 1)
         self.assertEqual(data[0].meta_data['loader'], "CanSAS XML 1D")
 
@@ -141,4 +144,5 @@
             tests won't pass
         """
+        self.assertEqual(len(self.data_list), 1)
         self.assertEqual(self.data.run[0], "1234")
         self.assertEqual(self.data.meta_data['loader'], "CanSAS XML 1D")
@@ -281,4 +285,5 @@
         data = Loader().load(filename)
         self.data = data[0]
+        self.assertEqual(len(data), 1)
         self.assertEqual(self.data.filename, filename)
         self._checkdata()
@@ -294,4 +299,5 @@
         data = CANSASReader().read(filename)
         self.data = data[0]
+        self.assertEqual(len(data), 1)
         self.assertEqual(self.data.filename, filename)
         self._checkdata()
@@ -305,4 +311,5 @@
         data = CANSASReader().read(filename)
         self.data = data[0]
+        self.assertEqual(len(data), 1)
         self.assertEqual(self.data.filename, filename)
         # The followed should not have been loaded
@@ -321,4 +328,6 @@
         data = CANSASReader().read(filename)
         self.data = data[0]
+        self.assertEqual(len(data), 1)
+        self.assertEqual(len(self.data_list), 1)
         self.assertEqual(self.data.filename, filename)
         self.assertEqual(self.data.run[0], "1234")
Index: test/sasdataloader/test/utest_ascii.py
===================================================================
--- test/sasdataloader/test/utest_ascii.py	(revision a78a02fe90f1c962f523301685c143a27f11ba7d)
+++ test/sasdataloader/test/utest_ascii.py	(revision fe1519896dbb0d27d27b4312f0db40cdbf913de4)
@@ -29,4 +29,9 @@
         """
         # The length of the data is 10
+        self.assertEqual(len(self.f1_list), 1)
+        self.assertEqual(len(self.f2_list), 1)
+        self.assertEqual(len(self.f3_list), 1)
+        self.assertEqual(len(self.f4_list), 1)
+        self.assertEqual(len(self.f5_list), 1)
         self.assertEqual(len(self.f1.x), 10)
         self.assertEqual(self.f1.x[0],0.002618)
Index: test/sasdataloader/test/utest_averaging.py
===================================================================
--- test/sasdataloader/test/utest_averaging.py	(revision 2a52b0e66afd6a932a14feb9cf9377a9ffe3767a)
+++ test/sasdataloader/test/utest_averaging.py	(revision fe1519896dbb0d27d27b4312f0db40cdbf913de4)
@@ -104,5 +104,6 @@
         filepath = os.path.join(os.path.dirname(
             os.path.realpath(__file__)), 'MAR07232_rest.h5')
-        self.data = Loader().load(filepath)[0]
+        self.data_list = Loader().load(filepath)
+        self.data = self.data_list[0]
 
     def test_ring(self):
@@ -119,6 +120,8 @@
         filepath = os.path.join(os.path.dirname(
             os.path.realpath(__file__)), 'ring_testdata.txt')
-        answer = Loader().load(filepath)[0]
-
+        answer_list = Loader().load(filepath)
+        answer = answer_list[0]
+
+        self.assertEqual(len(answer_list), 1)
         for i in range(r.nbins_phi - 1):
             self.assertAlmostEqual(o.x[i + 1], answer.x[i], 4)
Index: test/sasdataloader/test/utest_red2d_reader.py
===================================================================
--- test/sasdataloader/test/utest_red2d_reader.py	(revision 248ff7332a99edb391f42db2a242a497473df452)
+++ test/sasdataloader/test/utest_red2d_reader.py	(revision fe1519896dbb0d27d27b4312f0db40cdbf913de4)
@@ -14,4 +14,5 @@
     def setUp(self):
         self.loader = Loader()
+        self.data_list = self.loader.load("exp18_14_igor_2dqxqy.dat")
 
     def test_checkdata(self):
@@ -19,6 +20,7 @@
             Test .DAT file loaded as IGOR/DAT 2D Q_map
         """
-        f = self.loader.load("exp18_14_igor_2dqxqy.dat")[0]
+        f = self.data_list[0]
         # The length of the data is 10
+        self.assertEqual(len(self.data_list), 1)
         self.assertEqual(len(f.qx_data),  36864)
         self.assertEqual(f.qx_data[0],-0.03573497)
Index: test/sasdataloader/test/utest_sesans.py
===================================================================
--- test/sasdataloader/test/utest_sesans.py	(revision a78a02fe90f1c962f523301685c143a27f11ba7d)
+++ test/sasdataloader/test/utest_sesans.py	(revision fe1519896dbb0d27d27b4312f0db40cdbf913de4)
@@ -22,4 +22,5 @@
         f = file[0]
         # self.assertEqual(f, 5)
+        self.assertEqual(len(file), 1)
         self.assertEqual(len(f.x), 40)
         self.assertEqual(f.x[0], 391.56)
@@ -39,4 +40,5 @@
         file = self.loader("sesans_examples/sphere_isis.ses")
         f = file[0]
+        self.assertEqual(len(file), 1)
         self.assertEqual(len(f.x), 57)
         self.assertEqual(f.x[-1], 19303.4)
